List scoring frameworks
curl --request GET \
--url https://api.metal.ai/v1/scoring-frameworks \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/scoring-frameworks"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/scoring-frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/scoring-frameworks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "qualitative",
"isStandard": true,
"elements": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"weight": 123,
"scoringLogic": "<string>",
"dataRequirements": "<string>"
}
],
"aggregationMethod": "weighted_average",
"entityType": "company",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "invalid api key or clientId"
}List scoring frameworks
Returns scoring frameworks in your organization.
GET
/
v1
/
scoring-frameworks
List scoring frameworks
curl --request GET \
--url https://api.metal.ai/v1/scoring-frameworks \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/scoring-frameworks"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/scoring-frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/scoring-frameworks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "qualitative",
"isStandard": true,
"elements": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"weight": 123,
"scoringLogic": "<string>",
"dataRequirements": "<string>"
}
],
"aggregationMethod": "weighted_average",
"entityType": "company",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "invalid api key or clientId"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Query Parameters
Page number, starting at 1 (max 100).
Required range:
1 <= x <= 100Items per page (1 to 1000).
Required range:
1 <= x <= 1000Response
A list of scoring frameworks.
Show child attributes
Show child attributes

